/// <reference types="react" />
import { DefaultLinkFactory, DefaultLinkWidget } from "storm-react-diagrams";
import { ReactDatabaseDiagramLinkModel } from "../models/LinkModel";
export declare class ReactDatabaseDiagramLinkFactory extends DefaultLinkFactory {
    constructor();
    getNewInstance(): ReactDatabaseDiagramLinkModel;
    generateLinkSegment(model: ReactDatabaseDiagramLinkModel, widget: DefaultLinkWidget, selected: boolean, path: string): JSX.Element;
}
export default ReactDatabaseDiagramLinkFactory;
