"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var storm_react_diagrams_1 = require("storm-react-diagrams");
var LinkModel_1 = require("../models/LinkModel");
var LinkWidget_1 = require("../widgets/LinkWidget");
var ReactDatabaseDiagramLinkFactory = /** @class */ (function (_super) {
    __extends(ReactDatabaseDiagramLinkFactory, _super);
    function ReactDatabaseDiagramLinkFactory() {
        var _this = _super.call(this) || this;
        _this.type = "react-database-diagram";
        return _this;
    }
    ReactDatabaseDiagramLinkFactory.prototype.getNewInstance = function () {
        return new LinkModel_1.ReactDatabaseDiagramLinkModel();
    };
    ReactDatabaseDiagramLinkFactory.prototype.generateLinkSegment = function (model, widget, selected, path) {
        return (React.createElement("g", null,
            React.createElement(LinkWidget_1.ReactDatabaseDiagramLinkWidget, { model: model, path: path, selected: selected, defaultWidget: widget })));
    };
    return ReactDatabaseDiagramLinkFactory;
}(storm_react_diagrams_1.DefaultLinkFactory));
exports.ReactDatabaseDiagramLinkFactory = ReactDatabaseDiagramLinkFactory;
exports.default = ReactDatabaseDiagramLinkFactory;
//# sourceMappingURL=LinkFactory.js.map