"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var storm_react_diagrams_1 = require("storm-react-diagrams");
var NodeModel_1 = require("../models/NodeModel");
var NodeWidget_1 = require("../widgets/NodeWidget");
var ReactDatabaseDiagramNodeFactory = /** @class */ (function (_super) {
    __extends(ReactDatabaseDiagramNodeFactory, _super);
    function ReactDatabaseDiagramNodeFactory() {
        return _super.call(this, "react-database-diagram") || this;
    }
    ReactDatabaseDiagramNodeFactory.prototype.generateReactWidget = function (diagramEngine, node) {
        return (React.createElement(NodeWidget_1.ReactDatabaseDiagramNodeWidget, { node: node, engine: diagramEngine }));
    };
    ReactDatabaseDiagramNodeFactory.prototype.getNewInstance = function () {
        return new NodeModel_1.ReactDatabaseDiagramNodeModel();
    };
    return ReactDatabaseDiagramNodeFactory;
}(storm_react_diagrams_1.AbstractNodeFactory));
exports.ReactDatabaseDiagramNodeFactory = ReactDatabaseDiagramNodeFactory;
//# sourceMappingURL=NodeFactory.js.map