import { DiagramEngine, LinkModel, PortModel } from "storm-react-diagrams";
export declare class ReactDatabaseDiagramPortModel extends PortModel {
    in: boolean;
    label: string;
    position: string;
    constructor(pos?: string);
    deSerialize(data: any, engine: DiagramEngine): void;
    serialize(): {
        id: string;
    } & {
        type: string;
        selected: boolean;
    } & {
        name: string;
        parentNode: string;
        links: string[];
        maximumLinks: number;
    } & {
        in: boolean;
        label: string;
        position: string;
    };
    link(port: PortModel): LinkModel;
    createLinkModel(): LinkModel;
}
