"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var storm_react_diagrams_1 = require("storm-react-diagrams");
var LinkModel_1 = require("./LinkModel");
var ReactDatabaseDiagramPortModel = /** @class */ (function (_super) {
    __extends(ReactDatabaseDiagramPortModel, _super);
    function ReactDatabaseDiagramPortModel(pos) {
        if (pos === void 0) { pos = "top"; }
        var _this = _super.call(this, pos, "react-database-diagram") || this;
        _this.position = pos;
        return _this;
    }
    ReactDatabaseDiagramPortModel.prototype.deSerialize = function (data, engine) {
        _super.prototype.deSerialize.call(this, data, engine);
        this.position = data.position;
    };
    ReactDatabaseDiagramPortModel.prototype.serialize = function () {
        return _.merge(_super.prototype.serialize.call(this), {
            in: this.in,
            label: this.label,
            position: this.position,
        });
    };
    ReactDatabaseDiagramPortModel.prototype.link = function (port) {
        var link = this.createLinkModel();
        link.setSourcePort(this);
        link.setTargetPort(port);
        return link;
    };
    ReactDatabaseDiagramPortModel.prototype.createLinkModel = function () {
        var link = _super.prototype.createLinkModel.call(this);
        return link || new LinkModel_1.ReactDatabaseDiagramLinkModel();
    };
    return ReactDatabaseDiagramPortModel;
}(storm_react_diagrams_1.PortModel));
exports.ReactDatabaseDiagramPortModel = ReactDatabaseDiagramPortModel;
//# sourceMappingURL=PortModel.js.map